FOREIGN_GILDAS_READ(3)

EXPERIMENTAL_FUNC
foreign_gildas_read - Read a GILDAS dataset.

SYNOPSIS
#include <karma_foreign.h>

multi_array * foreign_gildas_read

(CONST char *setname,unsigned int mmap_option, flag writable)

DESCRIPTION
Read a GILDAS dataset.

setname
    The GILDAS dataset name.

mmap_option
    Control value which determines whether the channel is opened as an ordinary disc file or is mapped. See <-ch_MAP_CONTROLS-> for legal values. If the file is not mapped then the routine will attempt to open an ordinary disc channel. If the file is opened as a disc channel the access mode is: "rz".

writable
    If the mapped pages are to be writable, this must be TRUE. If this is FALSE and the memory pages are written to, a segmentation fault occurs.

RETURN VALUE
A multi_array descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/